Last-Update: 2016-11-13
Forwarded: not-needed
Origin: https://packages.altlinux.org/en/Sisyphus/srpms/mysql-connector-c++/patches/mariadb_api.patch
Author: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: fix FTBFS with MariaDB.

--- a/driver/nativeapi/libmysql_static_proxy.cpp
+++ b/driver/nativeapi/libmysql_static_proxy.cpp
@@ -324,9 +324,9 @@
 /* {{{ LibmysqlStaticProxy::get_option() */
 int
 LibmysqlStaticProxy::get_option(MYSQL * mysql, enum mysql_option option, const void *arg)
 {
-#if MYSQL_VERSION_ID >= 50703
+#if not defined MARIADB_BASE_VERSION && MYSQL_VERSION_ID >= 50703
   if (::mysql_get_option(mysql, option, arg)) {
     throw sql::InvalidArgumentException("Unsupported option provided to mysql_get_option()");
   } else {
     return 0;
